Skip to main content
GET
/
v0
/
boards
/
{boardId}
/
charts
/
{chartId}
Get chart
curl --request GET \
  --url https://api.formo.so/v0/boards/{boardId}/charts/{chartId} \
  --header 'Authorization: Bearer <token>'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "chart_type": "table",
    "title": "<string>",
    "query": "<string>",
    "project_id": "<string>",
    "board_id": "<string>",
    "description": "<string>",
    "x_axis": "<string>",
    "y_axis": [
      "<string>"
    ],
    "group_by": "<string>",
    "steps": [
      {
        "type": "event",
        "event": "<string>"
      }
    ],
    "settings": {
      "funnelType": "closed",
      "conversionWindow": {
        "value": 2,
        "unit": "minute"
      },
      "breakdown": "device",
      "startStep": {
        "type": "event",
        "event": "<string>"
      },
      "endStep": {
        "type": "event",
        "event": "<string>"
      },
      "maxSteps": 3,
      "nodesPerStep": 5,
      "filters": "<string>",
      "retentionFilter": {
        "type": "event",
        "event": "<string>"
      },
      "retentionUserFilters": [
        {
          "operand": "<string>",
          "operator": "equals",
          "value": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

boardId
string
required
chartId
string
required

Response

200 - application/json

Chart details

isSuccess
boolean
data
object

A saved chart attached to a board.